﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Windows.Threading;

namespace WpfApplication223
{
    public class Person : INotifyPropertyChanged
    {

      string name = string.Empty;
      public string Name
      {
          get { return name; }
          set { name = value; 
              RaisePropertyChangedEvent("Name"); }
      }

      int id = 0;
      public int ID
      {
          get { return id; }
          set { id = value; 
              RaisePropertyChangedEvent("ID"); }
      }


      #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

      internal void RaisePropertyChangedEvent(string propertyName)
      {
          if (PropertyChanged == null)
          {
              return;
          }
          
          PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
      }
      #endregion
    }
}
